You are viewing a non-production environment — the API surface may differ from production.
Ordering API

Coursings

Multi-course meal sequencing

GET
/api/v1/coursings

Authorization

ApiKeyAuth
X-API-Key<token>

API key authentication. Format: karma_live_* or karma_dev_*

In: header

Query Parameters

locationId?number

Filter by location ID

page?number

Page number

Range1 <= value
Default1
limit?number

Items per page

Range1 <= value <= 100
Default20

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/coursings"
{  "status": "success",  "data": {    "coursings": [      {        "id": "string",        "locationId": 0,        "title": "string",        "order": 0,        "color": "string",        "isInherited": true,        "sourceLocationId": 0,        "inheritToChildren": true,        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z"      }    ],    "pagination": {      "page": 1,      "limit": 1,      "total": 0,      "totalPages": 0    }  },  "meta": {    "requestId": "string",    "timestamp": "2019-08-24T14:15:22Z",    "executionTimeMs": 0  }}
POST
/api/v1/coursings

Authorization

ApiKeyAuth
X-API-Key<token>

API key authentication. Format: karma_live_* or karma_dev_*

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

locationId*number

Location ID

title*string

Coursing title

Length1 <= length
order*number

Display order (0-100)

Range0 <= value <= 100
color?|

Hex color code (e.g., #FF5733)

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/coursings" \  -H "Content-Type: application/json" \  -d '{    "locationId": 0,    "title": "string",    "order": 0  }'
{  "status": "success",  "data": {    "id": "string",    "locationId": 0,    "title": "string",    "order": 0,    "color": "string",    "isInherited": true,    "sourceLocationId": 0,    "inheritToChildren": true,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "meta": {    "requestId": "string",    "timestamp": "2019-08-24T14:15:22Z",    "executionTimeMs": 0  }}
GET
/api/v1/coursings/{id}

Authorization

ApiKeyAuth
X-API-Key<token>

API key authentication. Format: karma_live_* or karma_dev_*

In: header

Path Parameters

id*string

Coursing ID (UUID)

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/coursings/string"
{  "status": "success",  "data": {    "id": "string",    "locationId": 0,    "title": "string",    "order": 0,    "color": "string",    "isInherited": true,    "sourceLocationId": 0,    "inheritToChildren": true,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "meta": {    "requestId": "string",    "timestamp": "2019-08-24T14:15:22Z",    "executionTimeMs": 0  }}
DELETE
/api/v1/coursings/{id}

Authorization

ApiKeyAuth
X-API-Key<token>

API key authentication. Format: karma_live_* or karma_dev_*

In: header

Path Parameters

id*string

Coursing ID (UUID)

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/v1/coursings/string"
{  "status": "success",  "data": {    "deleted": true  },  "meta": {    "requestId": "string",    "timestamp": "2019-08-24T14:15:22Z",    "executionTimeMs": 0  }}
PUT
/api/v1/coursings/{id}

Authorization

ApiKeyAuth
X-API-Key<token>

API key authentication. Format: karma_live_* or karma_dev_*

In: header

Path Parameters

id*string

Coursing ID (UUID)

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

title?string
Length1 <= length
order?number
Range0 <= value <= 100
color?|

Hex color code (e.g., #FF5733)

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/coursings/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "status": "success",  "data": {    "id": "string",    "locationId": 0,    "title": "string",    "order": 0,    "color": "string",    "isInherited": true,    "sourceLocationId": 0,    "inheritToChildren": true,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "meta": {    "requestId": "string",    "timestamp": "2019-08-24T14:15:22Z",    "executionTimeMs": 0  }}